﻿<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Combine Text, Markup, and Code in Code Blocks</title>
    </head>
    <body>
    
    <form action="" method="post">
      <input id="submit" type="submit" value="Display Greeting" />
    </form>

    <!-- Combining text, tags, and code when all text/tag content is 
         wrapped within matched tags like <p></p>.  
    -->
    @If IsPost Then 
        ' This line has all content between matched <p> tags. 
        @<p>Hello, the time is @DateTime.Now and this page is a postback!</p>  
    Else 
        ' All content between matched tags, followed by server code. 
        @<p>Hello, <em>Stranger!</em> today is: </p> @DateTime.Now 
    End If

    <hr />

    <!-- Combining text, tags, and code when there is text/tag content
         that is NOT contained within matched tags.
    -->
    @If IsPost Then 
        ' Plain text followed by an unmatched HTML tag and server code. 
        @:The time is: <br /> @DateTime.Now 
        ' Server code and then plain text, matched tags, and more text. 
        @DateTime.Now @:is the <em>current</em> time. 
    End If

    <!-- The same example as above, using the text tags to wrap the 
         entire block. 
    -->
    @If IsPost Then 
        @<text> 
        The time is: <br /> @DateTime.Now 
        @DateTime.Now is the <em>current</em> time. 
        </text> 
    End If
    
    <hr />
        
    <!-- Combining a multi-line block of text/tag/code content using
         the text tags at the beginning and end of the block. 
    -->
    @Code 
        dim minTemp = 75  
        @<text>It is the month of @DateTime.Now.ToString("MMMM"), and   
        it's a <em>great</em> day! <p>You can go swimming if it's at  
        least @minTemp degrees.</p></text> 
    End Code
    
        
    </body>
</html>
