﻿<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Variables</title>
    </head>
    <body>
    @* Some common VB variable assignment statements. *@
    @Code 
        ' Assigning a string to a variable. 
        Dim greeting = "Welcome" 
        
        ' Assigning a number to a variable. 
        Dim theCount = 3 
        
        ' Assigning an expression to a variable. 
        Dim monthlyTotal = theCount + 5 
        
        ' Assigning a date value to a variable. 
        Dim today = DateTime.Today 
        
        ' Assigning the current page's URL to a variable. 
        Dim myPath = Request.Url 
        
        ' Declaring variables using explicit data types. 
        Dim name as String = "Joe"
        Dim count as Integer = 5 
        Dim tomorrow as DateTime = DateTime.Now.AddDays(1) 
    End Code
    
    @* The following example shows some typical uses of VB variables in a Web page. *@
    
    @Code 
        ' Embedding the value of a variable into HTML markup. 
        ' Precede the markup with @ because we are in a code block. 
        @<p>@greeting, friends!</p> 
    End Code 
    
    <!-- Using a variable with an inline expression in HTML. --> 
    <p>The predicted annual total is: @( monthlyTotal * 12)</p> 
    
    <!--  Displaying the page URL with a variable. --> 
    <p>The URL to this page is:  @myPath</p>

    </body>
</html>
